{
    "doc": "This record represents basic information for this report",
    "fields": [
        {
            "doc": "Model version number",
            "name": "versionControl",
            "type": {
                "fields": [
                    {
                        "default": "3.0.0",
                        "doc": "This is the version for the entire set of data models as referred to the Git release tag",
                        "name": "GitVersionControl",
                        "type": "string"
                    }
                ],
                "name": "VersionControl",
                "type": "record"
            }
        },
        {
            "doc": "Unique id for this report",
            "name": "reportRequestId",
            "type": "string"
        },
        {
            "doc": "Version of this report",
            "name": "reportVersion",
            "type": "int"
        },
        {
            "default": false,
            "doc": "Simply load data to system or also provide interpretation?",
            "name": "interpretGenome",
            "type": "boolean"
        },
        {
            "doc": "BAMs Files",
            "name": "BAMs",
            "type": {
                "items": {
                    "doc": "This defines a file\nThis Record is defined by the sampleID and a URI\nCurrently SampleID can be a single String or an array of strings if multiple samples are associated with the same file\n*",
                    "fields": [
                        {
                            "doc": "Unique ID(s) of the Sample, for example in a multisample vcf this would have an array of all the sample ids",
                            "name": "SampleId",
                            "type": [
                                "null",
                                "string",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "doc": "URI PATH",
                            "name": "URIFile",
                            "type": "string"
                        },
                        {
                            "name": "fileType",
                            "type": {
                                "name": "FileType",
                                "symbols": [
                                    "BAM",
                                    "gVCF",
                                    "VCF_small",
                                    "VCF_somatic_small",
                                    "VCF_CNV",
                                    "VCF_somatic_CNV",
                                    "VCF_SV",
                                    "VCF_somatic_SV",
                                    "VCF_SV_CNV",
                                    "SVG",
                                    "ANN",
                                    "BigWig",
                                    "MD5Sum",
                                    "ROH",
                                    "OTHER"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "name": "md5Sum",
                            "type": [
                                "null",
                                "File"
                            ]
                        }
                    ],
                    "name": "File",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "doc": "VCFs Files where SVs and CNVs are represented",
            "name": "VCFs",
            "type": {
                "items": "File",
                "type": "array"
            }
        },
        {
            "doc": "BigWig Files",
            "name": "bigWigs",
            "type": {
                "items": "File",
                "type": "array"
            }
        },
        {
            "doc": "This will be the output file from Cellbase + version used",
            "name": "annotationFile",
            "type": [
                "null",
                "File"
            ]
        },
        {
            "name": "cancerParticipant",
            "type": {
                "doc": "This defines a Cancer Participant (demographics and sample information)",
                "fields": [
                    {
                        "doc": "Model version number",
                        "name": "versionControl",
                        "type": "VersionControl"
                    },
                    {
                        "doc": "This contains all the demographic information",
                        "name": "cancerDemographics",
                        "type": {
                            "doc": "This defines a Cancer Demographics",
                            "fields": [
                                {
                                    "doc": "Individual Id (this is the individual id (gel ID))",
                                    "name": "gelId",
                                    "type": "string"
                                },
                                {
                                    "doc": "Center",
                                    "name": "center",
                                    "type": "string"
                                },
                                {
                                    "doc": "Center patient ID",
                                    "name": "centerPatientId",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "doc": "Labkey ID - this field together with the study should be a unique id to find the labkey data",
                                    "name": "labkeyParticipantId",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "doc": "This should be an enumeration when it is well defined\n    blood, breast, prostate, colorectal, cll, aml, renal, ovarian, skin, lymphNode, bone, saliva //for individual - there could be more than I have listed here, in fact there definitely will.",
                                    "name": "primaryDiagnosis",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "doc": "Sex",
                                    "name": "sex",
                                    "type": [
                                        "null",
                                        {
                                            "name": "Sex",
                                            "symbols": [
                                                "M",
                                                "F"
                                            ],
                                            "type": "enum"
                                        }
                                    ]
                                },
                                {
                                    "doc": "What has this participant consented to?\n    A participant that has been consented to the programme should also have sequence data associated with them; however\n    this needs to be programmatically checked",
                                    "name": "consentStatus",
                                    "type": {
                                        "doc": "Consent Status",
                                        "fields": [
                                            {
                                                "default": false,
                                                "doc": "Is this individual consented to the programme?\n    It could simple be a family member that is not consented but for whom affection status is known",
                                                "name": "programmeConsent",
                                                "type": "boolean"
                                            },
                                            {
                                                "default": false,
                                                "doc": "Consent for feedback of primary findings?",
                                                "name": "primaryFindingConsent",
                                                "type": "boolean"
                                            },
                                            {
                                                "default": false,
                                                "doc": "Consent for secondary finding lookup",
                                                "name": "secondaryFindingConsent",
                                                "type": "boolean"
                                            },
                                            {
                                                "default": false,
                                                "doc": "Consent for carrier status check?",
                                                "name": "carrierStatusConsent",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "ConsentStatus",
                                        "type": "record"
                                    }
                                },
                                {
                                    "doc": "We could add a map here to store additional information for example URIs to images, ECGs, etc",
                                    "name": "additionalInformation",
                                    "type": [
                                        "null",
                                        {
                                            "type": "map",
                                            "values": "string"
                                        }
                                    ]
                                },
                                {
                                    "doc": "Sample Id (e.g, LP00012645_5GH))",
                                    "name": "sampleId",
                                    "type": [
                                        "null",
                                        {
                                            "items": "string",
                                            "type": "array"
                                        }
                                    ]
                                },
                                {
                                    "doc": "assigned ICD10 code",
                                    "name": "assignedICD10",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                }
                            ],
                            "name": "CancerDemographics",
                            "type": "record"
                        }
                    },
                    {
                        "doc": "List of samples (normal and tumor sample)",
                        "name": "cancerSamples",
                        "type": {
                            "items": {
                                "fields": [
                                    {
                                        "doc": "Sample Id (e.g, LP00012645_5GH))",
                                        "name": "sampleId",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "Lab Id (this is from the bio-repository e.g D14.25586 or another format based on which center)",
                                        "name": "labId",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "gelPhase (eg cruk, brc, cll, iip, main)",
                                        "name": "gelPhase",
                                        "type": [
                                            "null",
                                            {
                                                "name": "GelPhase",
                                                "symbols": [
                                                    "CRUK",
                                                    "OXFORD",
                                                    "CLL",
                                                    "IIP",
                                                    "MAIN",
                                                    "EXPT"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Sample Type",
                                        "name": "sampleType",
                                        "type": {
                                            "name": "SampleType",
                                            "symbols": [
                                                "germline",
                                                "tumor"
                                            ],
                                            "type": "enum"
                                        }
                                    },
                                    {
                                        "doc": "Sample Diagnosis (we need this because primary diagnosis or patient might be CLL, but this sample might be a different tumor?)",
                                        "name": "sampleDiagnosis",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Tumor Type\n    blood, breast, prostate, colorectal, cll, aml, renal, ovarian, skin, lymphNode, bone, blood, saliva",
                                        "name": "tumorType",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Tumor Subtype",
                                        "name": "tumorSubType",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Preservation method",
                                        "name": "preservationMethod",
                                        "type": [
                                            "null",
                                            {
                                                "name": "PreservationMethod",
                                                "symbols": [
                                                    "FFPE",
                                                    "FF",
                                                    "UNKNOWN",
                                                    "BLOOD",
                                                    "GL",
                                                    "SALIVA",
                                                    "LEUK"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Tumor Phase",
                                        "name": "phase",
                                        "type": [
                                            "null",
                                            {
                                                "name": "Phase",
                                                "symbols": [
                                                    "PRIMARY",
                                                    "METASTATIC",
                                                    "RECURRENCE"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Method",
                                        "name": "method",
                                        "type": [
                                            "null",
                                            {
                                                "name": "Method",
                                                "symbols": [
                                                    "RESECTION",
                                                    "BIOPSY",
                                                    "BLOOD"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Sample tumorPurity",
                                        "name": "tumorPurity",
                                        "type": [
                                            "null",
                                            "double"
                                        ]
                                    },
                                    {
                                        "doc": "Sample TumorContent will be a string",
                                        "name": "tumorContent",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Grade of tumour - a lot of records gave this",
                                        "name": "grade",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "TMN version",
                                        "name": "tnm_stage_version",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "TMN stage grouping",
                                        "name": "tmn_stage_grouping",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    }
                                ],
                                "name": "CancerSample",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    },
                    {
                        "doc": "List of Matched Samples (this is, all the normal - tumor pairs should be analyzed)",
                        "name": "matchedSamples",
                        "type": {
                            "items": {
                                "doc": "This define a pair of germline and tumor, this pair should/must be analyzed together",
                                "fields": [
                                    {
                                        "doc": "Sample Id (e.g, LP00012645_5GH)) for the germline",
                                        "name": "germlineSampleId",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Sample Id (e.g, LP00012643_7JS)) for the tumor",
                                        "name": "tumorSampleId",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    }
                                ],
                                "name": "MatchedSamples",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    }
                ],
                "name": "CancerParticipant",
                "type": "record"
            }
        },
        {
            "doc": "Location (URI) where the data can be found",
            "name": "analysisURI",
            "type": "string"
        },
        {
            "doc": "GEL's analysis version for this request. It can increase if a change is made to the underlying data for example",
            "name": "analysisVersion",
            "type": "string"
        },
        {
            "doc": "Tiered Variants",
            "name": "TieredVariants",
            "type": {
                "items": {
                    "fields": [
                        {
                            "doc": "This is the normal record for one reported variant",
                            "name": "reportedVariantCancer",
                            "type": {
                                "fields": [
                                    {
                                        "doc": "chromosome, named as: 1-22,X,Y,MT(other contigs name)",
                                        "name": "chromosome",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "position: Position 1-based",
                                        "name": "position",
                                        "type": "int"
                                    },
                                    {
                                        "doc": "reference: Reference Allele sequence, the same provided in vcf",
                                        "name": "reference",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "alternate: Alternate Allele sequence, the same provided in vcf",
                                        "name": "alternate",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "variant ID in Cosmic",
                                        "name": "CosmicIds",
                                        "type": [
                                            "null",
                                            {
                                                "items": "string",
                                                "type": "array"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "variant ID in ClinVar",
                                        "name": "ClinVarIds",
                                        "type": [
                                            "null",
                                            {
                                                "items": "string",
                                                "type": "array"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "variant ID in dbSNP",
                                        "name": "dbSNPid",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "cDNA change, HGVS nomenclature (e.g.)",
                                        "name": "cDNAchange",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "protein change, HGVS nomenclature (e.g.)",
                                        "name": "proteinChange",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Depth for Reference Allele",
                                        "name": "depthReference",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "Depth for Alternate Allele",
                                        "name": "depthAlternate",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "Variant Allele Frequency",
                                        "name": "VAF",
                                        "type": [
                                            "null",
                                            "double"
                                        ]
                                    },
                                    {
                                        "doc": "AF in germline DBs",
                                        "name": "commonAF",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "Largest reference interrupted homopolymer length intersecting with the indel",
                                        "name": "IHP",
                                        "type": [
                                            "null",
                                            "int"
                                        ]
                                    },
                                    {
                                        "doc": "For example HGMD ID)",
                                        "name": "additionalTextualVariantAnnotations",
                                        "type": [
                                            "null",
                                            {
                                                "type": "map",
                                                "values": "string"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "For Example (Allele Frequency, sift, polyphen, mutationTaster, CADD. ..)",
                                        "name": "additionalNumericVariantAnnotations",
                                        "type": [
                                            "null",
                                            {
                                                "type": "map",
                                                "values": "float"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Comments",
                                        "name": "comments",
                                        "type": [
                                            "null",
                                            {
                                                "items": "string",
                                                "type": "array"
                                            }
                                        ]
                                    },
                                    {
                                        "name": "reportEvents",
                                        "type": {
                                            "items": {
                                                "fields": [
                                                    {
                                                        "doc": "Unique identifier for each report event, this has to be unique across the whole report, and it will be used by GEL\n    to validate the report",
                                                        "name": "reportEventId",
                                                        "type": "string"
                                                    },
                                                    {
                                                        "doc": "This is the genomicsFeature of interest for this reported variant, please note that one variant can overlap more that one gene/transcript\n    If more than one gene/transcript is considered interesting for this particular variant, should be reported in two different ReportEvents",
                                                        "name": "genomicFeatureCancer",
                                                        "type": {
                                                            "fields": [
                                                                {
                                                                    "doc": "Feature Type",
                                                                    "name": "featureType",
                                                                    "type": {
                                                                        "name": "FeatureTypes",
                                                                        "symbols": [
                                                                            "RegulatoryRegion",
                                                                            "Gene",
                                                                            "Transcript"
                                                                        ],
                                                                        "type": "enum"
                                                                    }
                                                                },
                                                                {
                                                                    "doc": "Transcript used, this should be a feature ID from Ensembl, (i.e, ENST00000544455)",
                                                                    "name": "ensemblId",
                                                                    "type": "string"
                                                                },
                                                                {
                                                                    "doc": "Refseq transcript",
                                                                    "name": "refSeqTranscriptId",
                                                                    "type": "string"
                                                                },
                                                                {
                                                                    "doc": "Refseq protein",
                                                                    "name": "refSeqProteinId",
                                                                    "type": "string"
                                                                },
                                                                {
                                                                    "doc": "Gene used in tier",
                                                                    "name": "geneName",
                                                                    "type": "string"
                                                                },
                                                                {
                                                                    "doc": "Role in cancer: oncogege, TSG or both",
                                                                    "name": "roleInCancer",
                                                                    "type": [
                                                                        "null",
                                                                        "string"
                                                                    ]
                                                                }
                                                            ],
                                                            "name": "GenomicFeatureCancer",
                                                            "type": "record"
                                                        }
                                                    },
                                                    {
                                                        "doc": "SO Term used in tier",
                                                        "name": "soTerms",
                                                        "type": {
                                                            "items": "string",
                                                            "type": "array"
                                                        }
                                                    },
                                                    {
                                                        "doc": "SO name used in tier",
                                                        "name": "soNames",
                                                        "type": {
                                                            "items": "string",
                                                            "type": "array"
                                                        }
                                                    },
                                                    {
                                                        "doc": "",
                                                        "name": "actions",
                                                        "type": {
                                                            "items": {
                                                                "fields": [
                                                                    {
                                                                        "name": "actionType",
                                                                        "type": "string"
                                                                    },
                                                                    {
                                                                        "doc": "array of PMIDs",
                                                                        "name": "evidence",
                                                                        "type": [
                                                                            "null",
                                                                            {
                                                                                "items": "string",
                                                                                "type": "array"
                                                                            }
                                                                        ]
                                                                    },
                                                                    {
                                                                        "doc": "drug",
                                                                        "name": "drug",
                                                                        "type": [
                                                                            "null",
                                                                            "string"
                                                                        ]
                                                                    },
                                                                    {
                                                                        "doc": "status i.e. clinical, pre-clinical",
                                                                        "name": "status",
                                                                        "type": [
                                                                            "null",
                                                                            "string"
                                                                        ]
                                                                    },
                                                                    {
                                                                        "doc": "Is variant level actionable",
                                                                        "name": "variantActionable",
                                                                        "type": "boolean"
                                                                    },
                                                                    {
                                                                        "doc": "comments",
                                                                        "name": "comments",
                                                                        "type": [
                                                                            "null",
                                                                            {
                                                                                "items": "string",
                                                                                "type": "array"
                                                                            }
                                                                        ]
                                                                    },
                                                                    {
                                                                        "doc": "link to original source",
                                                                        "name": "url",
                                                                        "type": [
                                                                            "null",
                                                                            "string"
                                                                        ]
                                                                    },
                                                                    {
                                                                        "doc": "type of evidence",
                                                                        "name": "evidenceType",
                                                                        "type": [
                                                                            "null",
                                                                            "string"
                                                                        ]
                                                                    },
                                                                    {
                                                                        "doc": "source of the information",
                                                                        "name": "source",
                                                                        "type": "string"
                                                                    }
                                                                ],
                                                                "name": "Actions",
                                                                "type": "record"
                                                            },
                                                            "type": "array"
                                                        }
                                                    },
                                                    {
                                                        "doc": "Gel Tier",
                                                        "name": "tier",
                                                        "type": [
                                                            "null",
                                                            {
                                                                "doc": "Possible tiers as defined by Genomics England",
                                                                "name": "Tier",
                                                                "symbols": [
                                                                    "NONE",
                                                                    "TIER1",
                                                                    "TIER2",
                                                                    "TIER3"
                                                                ],
                                                                "type": "enum"
                                                            }
                                                        ]
                                                    }
                                                ],
                                                "name": "ReportEventCancer",
                                                "type": "record"
                                            },
                                            "type": "array"
                                        }
                                    }
                                ],
                                "name": "ReportedVariantCancer",
                                "type": "record"
                            }
                        },
                        {
                            "doc": "Describe whether this is a somatic or Germline variant",
                            "name": "somaticOrGermline",
                            "type": {
                                "doc": "this defines whether the variant reported is considered to be a somatic or germline finding.",
                                "name": "SomaticOrGermline",
                                "symbols": [
                                    "unknown",
                                    "somatic",
                                    "germline"
                                ],
                                "type": "enum"
                            }
                        }
                    ],
                    "name": "ReportedSomaticVariants",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "doc": "Structural Tiered Variants",
            "name": "structuralTieredVariants",
            "type": {
                "items": {
                    "fields": [
                        {
                            "doc": "This is the normal record for one reported variant",
                            "name": "reportedStructuralVariantCancer",
                            "type": {
                                "fields": [
                                    {
                                        "doc": "chromosome, named as: 1-22,X,Y,MT(other contigs name)",
                                        "name": "chromosome",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "start: start position 1-based",
                                        "name": "start",
                                        "type": "int"
                                    },
                                    {
                                        "doc": "end: end position 1-based",
                                        "name": "end",
                                        "type": "int"
                                    },
                                    {
                                        "doc": "The ID field indicates the type of structural variant, and can be a colon-separated list of types and subtypes\n    (this is VCF Format): DEL, INS, DUP, INV, CNV, DUP:TANDEM, DEL:ME, INS:ME, INS:ME:ALU...",
                                        "name": "type",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "reference: Reference Allele sequence, the same provided in vcf",
                                        "name": "reference",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "alternate: Alternate Allele sequence, the same provided in vcf",
                                        "name": "alternate",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "For example HGMD ID)",
                                        "name": "additionalTextualVariantAnnotations",
                                        "type": [
                                            "null",
                                            {
                                                "type": "map",
                                                "values": "string"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "For Example (Allele Frequency, sift, polyphen, mutationTaster, CADD. ..)",
                                        "name": "additionalNumericVariantAnnotations",
                                        "type": [
                                            "null",
                                            {
                                                "type": "map",
                                                "values": "float"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Comments",
                                        "name": "comments",
                                        "type": [
                                            "null",
                                            {
                                                "items": "string",
                                                "type": "array"
                                            }
                                        ]
                                    }
                                ],
                                "name": "ReportedStructuralVariantCancer",
                                "type": "record"
                            }
                        },
                        {
                            "doc": "Describe whether this is a somatic or Germline variant",
                            "name": "somaticOrGermline",
                            "type": "SomaticOrGermline"
                        }
                    ],
                    "name": "ReportedSomaticStructuralVariants",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "doc": "Tiering Version",
            "name": "TieringVersion",
            "type": "string"
        },
        {
            "doc": "The genome shall be assigned to the workspaces(projects or domains with a predefined set of users) to control user access",
            "name": "workspace",
            "type": {
                "items": "string",
                "type": "array"
            }
        },
        {
            "doc": "Additional information",
            "name": "additionalInfo",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        }
    ],
    "name": "CancerInterpretationRequest",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}